﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BoatController : BuoyantObject {

    public float trunSpeed = 0.5f;


    // Use this for initialization
    void Start () {
		
	}
	
    void Update() {
        lookAtDir(Vector3.ProjectOnPlane(rb.velocity, Vector3.up));
    }


    // Update is called once per frame
    void lookAtDir(Vector3 inputDir) {
        Quaternion targetRotation = Quaternion.LookRotation(inputDir,Vector3.up);
        float str = Mathf.Min(trunSpeed * Time.deltaTime, 1);
        transform.rotation = Quaternion.Lerp(transform.rotation, targetRotation, str);
    }
}
