﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerController : MonoBehaviour {

	// Update is called once per frame
	void Update () {

        if (Input.GetButtonDown("Fire1")) {
            Debug.Log("Click");
            RaycastHit hit;
            Ray ray = Camera.main.ScreenPointToRay(Input.mousePosition);

            LayerMask rayMask = (1 << 4);

            Debug.DrawRay(ray.origin, ray.direction * 100, Color.green);

            if (Physics.Raycast(ray, out hit, Mathf.Infinity,rayMask)) {
                WaterController waterScript = hit.collider.gameObject.GetComponent<WaterController>();
                Debug.DrawLine(Camera.main.transform.position, hit.point, Color.red,1);

                Debug.Log("I hit: " + hit.transform.name);
                if (waterScript != null)
                    waterScript.CreateWave(hit.point, 10, 5);
             
            }


        }




    }
}
